org.codehaus.plexus.personality.plexus

## Class PlexusLifecycleHandler

- java.lang.Object
- - org.codehaus.plexus.lifecycle.AbstractLifecycleHandler
  - - org.codehaus.plexus.personality.plexus.PlexusLifecycleHandler

All Implemented Interfaces:
  LifecycleHandler

    public class PlexusLifecycleHandler
    extends AbstractLifecycleHandler

### Field Summary

Fields
`static String` `COMPONENT_CONFIGURATOR`

### Constructor Summary

Constructors
Constructor and Description
`PlexusLifecycleHandler()`

### Method Summary

Methods
`void` `initialize()`

### Methods inherited from class org.codehaus.plexus.lifecycle.AbstractLifecycleHandler

`end, getBeginSegment, getEndSegment, getId, getName, getResumeSegment, getSuspendSegment, resume, start, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMPONENT_CONFIGURATOR

    public static String COMPONENT_CONFIGURATOR

### Constructor Detail

#### PlexusLifecycleHandler

    public PlexusLifecycleHandler()

### Method Detail

#### initialize

    public void initialize()